<h2 class="ion-text-center">
  <ion-text color="dark" *ngIf="id == null">Create a tractor</ion-text>
  <ion-text color="dark" *ngIf="id != null">Update a tractor</ion-text>
</h2>
<ion-grid>
  <ion-row>
    <ion-col>
      <ion-item class="ion-padding-start">
        <ion-label position="floating" color="light">Name of tractor</ion-label>
        <ion-input [(ngModel)]="name" type="text"></ion-input>
      </ion-item>
    </ion-col>
  </ion-row>
  <ion-row *ngIf="err != null">
    <ion-col>
      <ion-text color="danger">{{err}}</ion-text>
    </ion-col>
  </ion-row>
  <ion-row>
    <ion-col class="ion-text-center">
      <ion-button id="create-tractor-button" color="success" (click)="create()">
        <ion-text *ngIf="id == null">Create</ion-text>
        <ion-text *ngIf="id != null">Update</ion-text>
      </ion-button>
    </ion-col>
  </ion-row>
</ion-grid>